## aircrack-ng 0.6

=== Makefile ===
CC              = gcc
CFLAGS          = -g -W -Wall -O3
OPTFLAGS        = -D_FILE_OFFSET_BITS=64

iCC             = /opt/intel/cc/9.0/bin/icc
iCFLAGS         = -w -mcpu=pentiumpro -march=pentiumpro
iOPTFLAGS       = -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
PROF_DIR	= $(PWD)/prof

destdir         = 
prefix          = /usr/local
bindir          = $(prefix)/bin
sbindir         = $(prefix)/sbin
mandir          = $(prefix)/man/man1
datadir         = $(prefix)/share
docdir          = $(datadir)/doc/aircrack-ng

BINFILES        = aircrack-ng airdecap-ng arpforge-ng ivstools kstats
SBINFILES       = aireplay-ng airodump-ng
SCRIPTS         = airmon-ng
TESTFILES       = makeivs
OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt aircrack-ng-opt-prof prof/*
DOCFILES        = ChangeLog INSTALL README LICENSE AUTHORS VERSION


all: aircrack-ng airdecap-ng arpforge-ng aireplay-ng airodump-ng ivstools kstats test

aircrack-ng-opt: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt -lpthread

aircrack-ng-opt-prof_gen: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) -prof_genx -DDO_PGO_DUMP -prof_dir$(PROF_DIR) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt-prof_gen -lpthread

aircrack-ng-opt-prof_use: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) -prof_use -prof_dir$(PROF_DIR) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt-prof -lpthread

aircrack-ng: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng -lpthread

airdecap-ng: src/airdecap-ng.c src/crypto.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/airdecap-ng.c src/crypto.c src/common.c -o airdecap-ng

arpforge-ng: src/arpforge-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/arpforge-ng.c src/common.c -o arpforge-ng

aireplay-ng: src/aireplay-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/aireplay-ng.c src/common.c -o aireplay-ng

airodump-ng: src/airodump-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/airodump-ng.c src/common.c -o airodump-ng

airmon-ng: src/airmon-ng.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/airmon-ng.c src/common.c -o airodump-ng

ivstools: src/ivstools.c src/common.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/ivstools.c src/common.c -o ivstools

kstats: src/kstats.c
	$(CC) $(CFLAGS) $(OPTFLAGS) src/kstats.c  -o kstats

test: makeivs

makeivs: test/makeivs.c
	$(CC) $(CFLAGS) $(OPTFLAGS) test/makeivs.c -o makeivs

strip:
	strip $(BINFILES) $(SBINFILES) $(TESTFILES)

install:
	install -d $(destdir)$(bindir)
	install -m 755 $(BINFILES) $(destdir)$(bindir)
	install -d $(destdir)$(sbindir)
	install -m 755 $(SBINFILES) $(destdir)$(sbindir)
	install -m 755 $(SCRIPTS) $(destdir)$(sbindir)
	install -d $(destdir)$(mandir)
	install -m 644 ./manpages/* $(destdir)$(mandir)

uninstall:
	rm -f $(destdir)$(bindir)/aircrack-ng
	rm -f $(destdir)$(bindir)/airodump-ng
	rm -f $(destdir)$(bindir)/airdecap-ng
	rm -f $(destdir)$(bindir)/arpforge
	rm -f $(destdir)$(bindir)/arpforge-ng
	rm -f $(destdir)$(bindir)/aireplay-ng
	rm -f $(destdir)$(bindir)/airmon.sh
	rm -f $(destdir)$(bindir)/mergeivs
	rm -f $(destdir)$(bindir)/pcap2ivs
	rm -f $(destdir)$(bindir)/ivstools
	rm -f $(destdir)$(bindir)/kstats
	rm -f $(destdir)$(bindir)/ivstools-ng
	rm -f $(destdir)$(sbindir)/airodump-ng
	rm -f $(destdir)$(sbindir)/aireplay-ng
	rm -f $(destdir)$(sbindir)/airmon.sh
	rm -f $(destdir)$(sbindir)/airmon-ng
	rm -f $(destdir)$(sbindir)/airmon
	rm -f $(destdir)$(mandir)/aircrack-ng.1
	rm -f $(destdir)$(mandir)/airdecap-ng.1
	rm -f $(destdir)$(mandir)/aireplay-ng.1
	rm -f $(destdir)$(mandir)/airmon.sh.1
	rm -f $(destdir)$(mandir)/airmon-ng.1
	rm -f $(destdir)$(mandir)/airodump-ng.1
	rm -f $(destdir)$(mandir)/arpforge.1
	rm -f $(destdir)$(mandir)/mergeivs.1
	rm -f $(destdir)$(mandir)/pcap2ivs.1
	rm -f $(destdir)$(mandir)/ivstools.1
	rm -f $(destdir)/usr/man/man1/aircrack-ng.1
	rm -f $(destdir)/usr/man/man1/airdecap-ng.1
	rm -f $(destdir)/usr/man/man1/aireplay-ng.1
	rm -f $(destdir)/usr/man/man1/airmon.sh.1
	rm -f $(destdir)/usr/man/man1/airodump-ng.1
	rm -f $(destdir)/usr/man/man1/arpforge.1
	rm -f $(destdir)/usr/man/man1/mergeivs.1
	rm -f $(destdir)/usr/man/man1/pcap2ivs.1
	
doc:
	install -d $(destdir)$(docdir)
	install -m 644 $(DOCFILES) $(destdir)$(docdir)
	

clean:
	rm -f $(destdir)$(SBINFILES) $(destdir)$(BINFILES) $(destdir)$(TESTFILES) $(destdir)$(OPTFILES)

## aircrack-ng 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC              = gcc
-CFLAGS          = -g -W -Wall -O3
+CFLAGS          ?= -g -W -Wall -O3
 OPTFLAGS        = -D_FILE_OFFSET_BITS=64
 
 iCC             = /opt/intel/cc/9.0/bin/icc
@@ -15,20 +15,22 @@
 datadir         = $(prefix)/share
 docdir          = $(datadir)/doc/aircrack-ng
 
-BINFILES        = aircrack-ng airdecap-ng arpforge-ng ivstools kstats
+BINFILES        = aircrack-ng airdecap-ng packetforge-ng ivstools kstats
 SBINFILES       = aireplay-ng airodump-ng
 SCRIPTS         = airmon-ng
 TESTFILES       = makeivs
 OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt aircrack-ng-opt-prof prof/*
 DOCFILES        = ChangeLog INSTALL README LICENSE AUTHORS VERSION
 
+default:all
 
-all: aircrack-ng airdecap-ng arpforge-ng aireplay-ng airodump-ng ivstools kstats test
+all: aircrack-ng airdecap-ng packetforge-ng aireplay-ng airodump-ng ivstools kstats makeivs
 
 aircrack-ng-opt: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt -lpthread
 
 aircrack-ng-opt-prof_gen: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
+	mkdir -p prof
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) -prof_genx -DDO_PGO_DUMP -prof_dir$(PROF_DIR) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt-prof_gen -lpthread
 
 aircrack-ng-opt-prof_use: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
@@ -37,14 +39,14 @@
 aircrack-ng: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng -lpthread
 
-airdecap-ng: src/airdecap-ng.c src/crypto.c src/common.c
-	$(CC) $(CFLAGS) $(OPTFLAGS) src/airdecap-ng.c src/crypto.c src/common.c -o airdecap-ng
+airdecap-ng: src/airdecap-ng.c src/crypto.c src/common.c src/crc.c
+	$(CC) $(CFLAGS) $(OPTFLAGS) src/airdecap-ng.c src/crypto.c src/common.c src/crc.c -o airdecap-ng
 
-arpforge-ng: src/arpforge-ng.c src/common.c
-	$(CC) $(CFLAGS) $(OPTFLAGS) src/arpforge-ng.c src/common.c -o arpforge-ng
+packetforge-ng: src/packetforge-ng.c src/common.c src/crc.c
+	$(CC) $(CFLAGS) $(OPTFLAGS) src/packetforge-ng.c src/common.c src/crc.c -o packetforge-ng
 
-aireplay-ng: src/aireplay-ng.c src/common.c
-	$(CC) $(CFLAGS) $(OPTFLAGS) src/aireplay-ng.c src/common.c -o aireplay-ng
+aireplay-ng: src/aireplay-ng.c src/common.c src/crc.c
+	$(CC) $(CFLAGS) $(OPTFLAGS) src/aireplay-ng.c src/common.c src/crc.c -o aireplay-ng
 
 airodump-ng: src/airodump-ng.c src/common.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) src/airodump-ng.c src/common.c -o airodump-ng
@@ -58,8 +60,6 @@
 kstats: src/kstats.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) src/kstats.c  -o kstats
 
-test: makeivs
-
 makeivs: test/makeivs.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) test/makeivs.c -o makeivs
 
@@ -69,6 +69,7 @@
 install:
 	install -d $(destdir)$(bindir)
 	install -m 755 $(BINFILES) $(destdir)$(bindir)
+	install -m 755 $(TESTFILES) $(destdir)$(bindir)
 	install -d $(destdir)$(sbindir)
 	install -m 755 $(SBINFILES) $(destdir)$(sbindir)
 	install -m 755 $(SCRIPTS) $(destdir)$(sbindir)
@@ -80,7 +81,7 @@
 	rm -f $(destdir)$(bindir)/airodump-ng
 	rm -f $(destdir)$(bindir)/airdecap-ng
 	rm -f $(destdir)$(bindir)/arpforge
-	rm -f $(destdir)$(bindir)/arpforge-ng
+	rm -f $(destdir)$(bindir)/packetforge-ng
 	rm -f $(destdir)$(bindir)/aireplay-ng
 	rm -f $(destdir)$(bindir)/airmon.sh
 	rm -f $(destdir)$(bindir)/mergeivs

## aircrack-ng 1.0~beta1

=== Makefile ===
ROOT		= .
include		$(ROOT)/common.mak

SCRIPTS         = airmon-ng airdriver-ng patchchk
DOCFILES        = ChangeLog INSTALLING README LICENSE AUTHORS VERSION


default: all

all:
	$(MAKE) -C src $(@)
	$(MAKE) -C test $(@)

aircrack-ng-opt-prof_gen: all
	mkdir -p prof
	$(MAKE) -C src $(@)

aircrack-ng-opt-prof_use:
	$(MAKE) -C src $(@)

install:
	$(MAKE) -C src $(@)
	$(MAKE) -C test $(@)
	install -m 755 $(SCRIPTS) $(sbindir)
	install -d $(mandir)
	install -m 644 ./manpages/* $(mandir)

uninstall:
	$(MAKE) -C src $(@)
	$(MAKE) -C test $(@)
	-rm -f $(sbindir)/airmon-ng
	-rm -f $(sbindir)/airdriver-ng
	-rm -f $(sbindir)/patchchk
	-rm -f $(mandir)/aircrack-ng.1
	-rm -f $(mandir)/airdecap-ng.1
	-rm -f $(mandir)/airdriver-ng.1
	-rm -f $(mandir)/aireplay-ng.1
	-rm -f $(mandir)/airmon-ng.1
	-rm -f $(mandir)/airodump-ng.1
	-rm -f $(mandir)/airolib-ng.1
	-rm -f $(mandir)/airsev-ng.1
	-rm -f $(mandir)/airtun-ng.1
	-rm -f $(mandir)/buddy-ng.1
	-rm -f $(mandir)/easside-ng.1
	-rm -f $(mandir)/ivstools.1
	-rm -f $(mandir)/kstats.1
	-rm -f $(mandir)/makeivs-ng.1
	-rm -f $(mandir)/packetforge-ng.1
	-rm -f $(mandir)/wesside-ng.1
	-rm -fr $(docdir)

strip:
	$(MAKE) -C src $(@)
	$(MAKE) -C test $(@)

doc:
	install -d $(docdir)
	install -m 644 $(DOCFILES) $(docdir)

clean:
	$(MAKE) -C src $(@)
	$(MAKE) -C test $(@)

distclean: clean

=== src/Makefile ===
ROOT		= ..
include $(ROOT)/common.mak

CFLAGS		+= -Iinclude

iCC             = /opt/intel/cc/9.0/bin/icc
iCFLAGS         = -w -mcpu=pentiumpro -march=pentiumpro $(COMMON_CFLAGS)
iOPTFLAGS       = -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
PROF_DIR	= $(PWD)/prof

BINFILES        = aircrack-ng$(EXE) airdecap-ng$(EXE) packetforge-ng$(EXE) \
		  ivstools$(EXE) kstats$(EXE) buddy-ng$(EXE) makeivs-ng$(EXE)
ifeq ($(SQLITE), true)
BINFILES	+= airolib-ng$(EXE)
endif

ifeq ($(sqlite), true)
BINFILES        += airolib-ng$(EXE)
endif

ifeq ($(SQLITE), TRUE)
BINFILES        += airolib-ng$(EXE)
endif

ifeq ($(sqlite), TRUE)
BINFILES        += airolib-ng$(EXE)
endif

SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE)
OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
		  aircrack-ng-opt-prof prof/*

SRC_PTW		= aircrack-ptw-lib.c
SRC_AC		= aircrack-ng.c crypto.c common.c $(SRC_PTW)
OBJS_PTW	= aircrack-ptw-lib.o
OBJS_AC		= aircrack-ng.o crypto.o common.o uniqueiv.o $(OBJS_PTW)

OBJS_AD		= airdecap-ng.o crypto.o common.o
OBJS_PF		= packetforge-ng.o common.o crypto.o
OBJS_AR		= aireplay-ng.o common.o crypto.o
OBJS_ADU	= airodump-ng.o common.o crypto.o uniqueiv.o
OBJS_AT		= airtun-ng.o common.o crypto.o
OBJS_IV		= ivstools.o common.o crypto.o uniqueiv.o
OBJS_AS		= airserv-ng.o common.o
OBJS_WS		= wesside-ng.o crypto.c common.o $(OBJS_PTW)
OBJS_AL		= airolib-ng.o crypto.c common.o
OBJS_ES		= easside-ng.o common.o
OBJS_BUDDY	= buddy-ng.o common.o
OBJS_MI		= makeivs-ng.o common.o uniqueiv.o


OSD		= osdep
LIBS		= -L$(OSD) -l$(OSD) $(LDFLAGS)
ifeq ($(OSNAME), cygwin)
LIBS		+= -liphlpapi -lsetupapi -luuid
endif
LIBOSD		= $(OSD)/lib$(OSD).a

LIBSSL		= -lssl -lcrypto $(LDFLAGS)
LIBSQL		= 
ifeq ($(SQLITE), true)
LIBSQL		= -L/usr/local/lib -lsqlite3
endif

ifeq ($(sqlite), true)
LIBSQL          = -L/usr/local/lib -lsqlite3
endif

ifeq ($(SQLITE), TRUE)
LIBSQL          = -L/usr/local/lib -lsqlite3
endif

ifeq ($(sqlite), TRUE)
LIBSQL          = -L/usr/local/lib -lsqlite3
endif


all: osd userland $(SBINFILES)

userland: $(BINFILES)

osd:
	$(MAKE) -C $(OSD)

$(LIBOSD):
	$(MAKE) -C $(OSD)

aircrack-ng-opt: $(SRC_AC)
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(LIBSSL) \
	uniqueiv.o -o aircrack-ng-opt -lpthread $(LIBSQL)

aircrack-ng-opt-prof_gen: $(SRC_AC)
	mkdir -p prof
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_genx -DDO_PGO_DUMP \
	-prof_dir$(PROF_DIR) $(SRC_AC) $(LIBSSL) uniqueiv.o -o \
	aircrack-ng-opt-prof_gen -lpthread $(LIBSQL)

aircrack-ng-opt-prof_use: $(SRC_AC)
	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_use \
	-prof_dir$(PROF_DIR) $(SRC_AC) $(LIBSSL) uniqueiv.o -o \
	aircrack-ng-opt-prof -lpthread $(LIBSQL)

aircrack-ng$(EXE): $(OBJS_AC)
	$(CC) $(CFLAGS) $(OBJS_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL)

airdecap-ng$(EXE): $(OBJS_AD)
	$(CC) $(CFLAGS) $(OBJS_AD) -o $(@) $(LIBSSL)

packetforge-ng$(EXE): $(OBJS_PF)
	$(CC) $(CFLAGS) $(OBJS_PF) -o $(@) $(LIBSSL)

aireplay-ng$(EXE): $(OBJS_AR) $(LIBOSD)
	$(CC) $(CFLAGS) $(OBJS_AR) -o $(@) $(LIBS) $(LIBSSL)

airodump-ng$(EXE): $(OBJS_ADU) $(LIBOSD)
	$(CC) $(CFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL)

airserv-ng$(EXE): $(OBJS_AS) $(LIBOSD)
	$(CC) $(CFLAGS) $(OBJS_AS) -o $(@) $(LIBS)

airtun-ng$(EXE): $(OBJS_AT) $(LIBOSD)
	$(CC) $(CFLAGS) $(OBJS_AT) -o $(@) $(LIBS) $(LIBSSL)

ivstools$(EXE): $(OBJS_IV)
	$(CC) $(CFLAGS) $(OBJS_IV) -o $(@) $(LIBSSL)

kstats$(EXE): kstats.o
	$(CC) $(CFLAGS) kstats.o -o $(@)

wesside-ng$(EXE): $(OBJS_WS) $(LIBOSD)
	$(CC) $(CFLAGS) $(OBJS_WS) -o $(@) $(LIBS) $(LIBSSL) -lz

easside-ng$(EXE): $(OBJS_ES) $(LIBOSD)
	$(CC) $(CFLAGS) $(OBJS_ES) -o $(@) $(LIBS) -lz

buddy-ng$(EXE): $(OBJS_BUDDY)
	$(CC) $(CFLAGS) $(OBJS_BUDDY) -o $(@)

makeivs-ng$(EXE): $(OBJS_MI)
	$(CC) $(CFLAGS) $(OBJS_MI) -o $(@)

airolib-ng$(EXE): $(OBJS_AL)
	$(CC) $(CFLAGS) $(OBJS_AL) -o $(@) $(LIBSSL) -DHAVE_REGEXP $(LIBSQL)

strip: $(BINFILES) $(SBINFILES)
	strip $(BINFILES) $(SBINFILES)

clean:
	$(MAKE) -C $(OSD) clean
	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o

distclean: clean

install: all
	$(MAKE) -C $(OSD) install
	install -d $(bindir)
	install -m 755 $(BINFILES) $(bindir)
	install -d $(sbindir)
	install -m 755 $(SBINFILES) $(sbindir)

uninstall:
	$(MAKE) -C $(OSD) uninstall
	-rm -f $(bindir)/aircrack-ng$(EXE)
	-rm -f $(bindir)/airdecap-ng$(EXE)
	-rm -f $(bindir)/packetforge-ng$(EXE)
	-rm -f $(bindir)/airolib-ng$(EXE)
	-rm -f $(bindir)/ivstools$(EXE)
	-rm -f $(bindir)/kstats$(EXE)
	-rm -f $(bindir)/buddy-ng$(EXE)
	-rm -f $(sbindir)/airodump-ng$(EXE)
	-rm -f $(sbindir)/airserv-ng$(EXE)
	-rm -f $(sbindir)/airtun-ng$(EXE)
	-rm -f $(sbindir)/aireplay-ng$(EXE)
	-rm -f $(sbindir)/wesside-ng$(EXE)
	-rm -f $(sbindir)/easside-ng$(EXE)

=== test/Makefile ===
ROOT		= ..
include $(ROOT)/common.mak

all:

clean:

strip:

distclean: clean

install: all

uninstall:

=== src/osdep/Makefile ===
ROOT	= ../..
include $(ROOT)/common.mak

LIB		= libosdep.a
CFLAGS		+= $(PIC) -I..

OBJS_NET	= network.o
OBJS		= osdep.o $(OBJS_NET)

OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o
OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o

all:
	@echo Building for $(OSNAME)
	@$(MAKE) .os.$(OSNAME)

.os.dummy: $(OBJS_DUMMY)
	$(AR) cru $(LIB) $(OBJS_DUMMY)
	$(RANLIB) $(LIB)
	touch $(@)

.os.FreeBSD: $(OBJS_FBSD)
	$(AR) cru $(LIB) $(OBJS_FBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.OpenBSD: $(OBJS_OBSD)
	$(AR) cru $(LIB) $(OBJS_OBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.NetBSD: $(OBJS_NBSD)
	$(AR) cru $(LIB) $(OBJS_NBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.Linux: $(OBJS_LINUX)
	$(AR) cru $(LIB) $(OBJS_LINUX)
	$(RANLIB) $(LIB)
	touch $(@)

.os.cygwin: $(OBJS_CYGWIN)
	$(AR) cru $(LIB) $(OBJS_CYGWIN)
	$(RANLIB) $(LIB)
	touch $(@)

.os.%: .os.dummy
	@echo "Your platform is unsupported"
	touch $(@)

install: all

uninstall:

clean:
	rm -f $(LIB) *.o .os.*

## aircrack-ng 1.0~rc1

=== Makefile ===
AC_ROOT		= .
include		$(AC_ROOT)/common.mak

SCRIPTS         = airmon-ng airdriver-ng patchchk
DOCFILES        = ChangeLog INSTALLING README LICENSE AUTHORS VERSION


default: all

all:
	$(MAKE) -C src $(@)

aircrack-ng-opt-prof_gen: all
	mkdir -p prof
	$(MAKE) -C src $(@)

aircrack-ng-opt-prof_use:
	$(MAKE) -C src $(@)

install:
	$(MAKE) -C src $(@)
	install -m 755 $(SCRIPTS) $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(mandir)
	install -m 644 ./manpages/* $(DESTDIR)$(mandir)

uninstall:
	$(MAKE) -C src $(@)
	-rm -f $(DESTDIR)$(sbindir)/airmon-ng
	-rm -f $(DESTDIR)$(sbindir)/airdriver-ng
	-rm -f $(DESTDIR)$(sbindir)/patchchk
	-rm -f $(DESTDIR)$(mandir)/aircrack-ng.1
	-rm -f $(DESTDIR)$(mandir)/airdecap-ng.1
	-rm -f $(DESTDIR)$(mandir)/airdriver-ng.1
	-rm -f $(DESTDIR)$(mandir)/aireplay-ng.1
	-rm -f $(DESTDIR)$(mandir)/airmon-ng.1
	-rm -f $(DESTDIR)$(mandir)/airodump-ng.1
	-rm -f $(DESTDIR)$(mandir)/airolib-ng.1
	-rm -f $(DESTDIR)$(mandir)/airsev-ng.1
	-rm -f $(DESTDIR)$(mandir)/airtun-ng.1
	-rm -f $(DESTDIR)$(mandir)/buddy-ng.1
	-rm -f $(DESTDIR)$(mandir)/easside-ng.1
	-rm -f $(DESTDIR)$(mandir)/ivstools.1
	-rm -f $(DESTDIR)$(mandir)/kstats.1
	-rm -f $(DESTDIR)$(mandir)/makeivs-ng.1
	-rm -f $(DESTDIR)$(mandir)/packetforge-ng.1
	-rm -f $(DESTDIR)$(mandir)/wesside-ng.1
	-rm -fr $(DESTDIR)$(docdir)

strip:
	$(MAKE) -C src $(@)

doc:
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

clean:
	$(MAKE) -C src $(@)

distclean: clean

=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
-ROOT		= ..
-include $(ROOT)/common.mak
+AC_ROOT		= ..
+LIBPCAP		=
+include $(AC_ROOT)/common.mak
+
 
 CFLAGS		+= -Iinclude
 
-iCC             = /opt/intel/cc/9.0/bin/icc
+iCC             = $(shell find /opt/intel/cc/*/bin/icc)
 iCFLAGS         = -w -mcpu=pentiumpro -march=pentiumpro $(COMMON_CFLAGS)
 iOPTFLAGS       = -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
 PROF_DIR	= $(PWD)/prof
@@ -12,22 +14,18 @@
 		  ivstools$(EXE) kstats$(EXE) buddy-ng$(EXE) makeivs-ng$(EXE)
 ifeq ($(SQLITE), true)
 BINFILES	+= airolib-ng$(EXE)
-endif
-
-ifeq ($(sqlite), true)
+else ifeq ($(sqlite), true)
+BINFILES        += airolib-ng$(EXE)
+else ifeq ($(SQLITE), TRUE)
+BINFILES        += airolib-ng$(EXE)
+else ifeq ($(sqlite), TRUE)
 BINFILES        += airolib-ng$(EXE)
 endif
 
-ifeq ($(SQLITE), TRUE)
-BINFILES        += airolib-ng$(EXE)
-endif
-
-ifeq ($(sqlite), TRUE)
-BINFILES        += airolib-ng$(EXE)
-endif
+LIBPCAP		=
 
 SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
-		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE)
+		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE) airbase-ng$(EXE)
 OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
 		  aircrack-ng-opt-prof prof/*
 
@@ -48,30 +46,25 @@
 OBJS_ES		= easside-ng.o common.o
 OBJS_BUDDY	= buddy-ng.o common.o
 OBJS_MI		= makeivs-ng.o common.o uniqueiv.o
+OBJS_AB		= airbase-ng.o common.o crypto.o
 
 
 OSD		= osdep
-LIBS		= -L$(OSD) -l$(OSD) $(LDFLAGS)
+LIBS		= -L$(OSD) -l$(OSD) $(LIBPCAP) $(LDFLAGS)
 ifeq ($(OSNAME), cygwin)
 LIBS		+= -liphlpapi -lsetupapi -luuid
 endif
 LIBOSD		= $(OSD)/lib$(OSD).a
 
 LIBSSL		= -lssl -lcrypto $(LDFLAGS)
-LIBSQL		= 
+LIBSQL		=
 ifeq ($(SQLITE), true)
 LIBSQL		= -L/usr/local/lib -lsqlite3
-endif
-
-ifeq ($(sqlite), true)
+else ifeq ($(sqlite), true)
 LIBSQL          = -L/usr/local/lib -lsqlite3
-endif
-
-ifeq ($(SQLITE), TRUE)
+else ifeq ($(SQLITE), TRUE)
 LIBSQL          = -L/usr/local/lib -lsqlite3
-endif
-
-ifeq ($(sqlite), TRUE)
+else ifeq ($(sqlite), TRUE)
 LIBSQL          = -L/usr/local/lib -lsqlite3
 endif
 
@@ -117,7 +110,7 @@
 	$(CC) $(CFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL)
 
 airserv-ng$(EXE): $(OBJS_AS) $(LIBOSD)
-	$(CC) $(CFLAGS) $(OBJS_AS) -o $(@) $(LIBS)
+	$(CC) $(CFLAGS) $(OBJS_AS) -o $(@) $(LIBS) $(LIBPCAP)
 
 airtun-ng$(EXE): $(OBJS_AT) $(LIBOSD)
 	$(CC) $(CFLAGS) $(OBJS_AT) -o $(@) $(LIBS) $(LIBSSL)
@@ -143,6 +136,9 @@
 airolib-ng$(EXE): $(OBJS_AL)
 	$(CC) $(CFLAGS) $(OBJS_AL) -o $(@) $(LIBSSL) -DHAVE_REGEXP $(LIBSQL)
 
+airbase-ng$(EXE): $(OBJS_AB) $(LIBOSD)
+	$(CC) $(CFLAGS) $(OBJS_AB) -o $(@) $(LIBS) $(LIBSSL) -lpthread
+
 strip: $(BINFILES) $(SBINFILES)
 	strip $(BINFILES) $(SBINFILES)
 
@@ -154,23 +150,24 @@
 
 install: all
 	$(MAKE) -C $(OSD) install
-	install -d $(bindir)
-	install -m 755 $(BINFILES) $(bindir)
-	install -d $(sbindir)
-	install -m 755 $(SBINFILES) $(sbindir)
+	install -d $(DESTDIR)$(bindir)
+	install -m 755 $(BINFILES) $(DESTDIR)$(bindir)
+	install -d $(DESTDIR)$(sbindir)
+	install -m 755 $(SBINFILES) $(DESTDIR)$(sbindir)
 
 uninstall:
 	$(MAKE) -C $(OSD) uninstall
-	-rm -f $(bindir)/aircrack-ng$(EXE)
-	-rm -f $(bindir)/airdecap-ng$(EXE)
-	-rm -f $(bindir)/packetforge-ng$(EXE)
-	-rm -f $(bindir)/airolib-ng$(EXE)
-	-rm -f $(bindir)/ivstools$(EXE)
-	-rm -f $(bindir)/kstats$(EXE)
-	-rm -f $(bindir)/buddy-ng$(EXE)
-	-rm -f $(sbindir)/airodump-ng$(EXE)
-	-rm -f $(sbindir)/airserv-ng$(EXE)
-	-rm -f $(sbindir)/airtun-ng$(EXE)
-	-rm -f $(sbindir)/aireplay-ng$(EXE)
-	-rm -f $(sbindir)/wesside-ng$(EXE)
-	-rm -f $(sbindir)/easside-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/aircrack-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/airdecap-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/packetforge-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/airolib-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/ivstools$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/kstats$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/buddy-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airodump-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airserv-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airtun-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/aireplay-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)

=== src/osdep/Makefile ===
--- 
+++ 
@@ -1,18 +1,28 @@
-ROOT	= ../..
-include $(ROOT)/common.mak
+AC_ROOT	= ../..
+include $(AC_ROOT)/common.mak
 
-LIB		= libosdep.a
-CFLAGS		+= $(PIC) -I..
+LIB		= libosdep.a 
+CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)
 
 OBJS_NET	= network.o
 OBJS		= osdep.o $(OBJS_NET)
 
+#AIRPCAP_DIR	= airpcap
+OBJS_APCAP	= airpcap.o
+
 OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
 OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
 OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
-OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o
+OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o common.o
 OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
 OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o
+
+# XXX make it a DLL, without polluting cygwin.c
+DOPCAP		=
+ifeq ($(AIRPCAP), true)
+OBJS_CYGWIN    += $(OBJS_APCAP)
+DOPCAP		= $(AR) x $(AC_ROOT)/../developers/Airpcap_Devpack/lib/libairpcap.a
+endif
 
 all:
 	@echo Building for $(OSNAME)
@@ -43,9 +53,10 @@
 	$(RANLIB) $(LIB)
 	touch $(@)
 
-.os.cygwin: $(OBJS_CYGWIN)
-	$(AR) cru $(LIB) $(OBJS_CYGWIN)
-	$(RANLIB) $(LIB)
+.os.cygwin: $(OBJS_CYGWIN) 
+	$(DOPCAP)
+	$(AR) cru $(LIB) *.o
+	$(RANLIB) $(LIB) 
 	touch $(@)
 
 .os.%: .os.dummy

## aircrack-ng 1.0~rc3

=== scripts/Makefile ===
AC_ROOT		= ..
include		$(AC_ROOT)/common.mak

SCRIPTS         = airmon-ng airdriver-ng

default: all

all:
	@echo Nothing to do
	
install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(sbindir)

uninstall:
	-rm -f $(DESTDIR)$(sbindir)/airmon-ng
	-rm -f $(DESTDIR)$(sbindir)/airdriver-ng

clean:
	@echo Nothing to do

## aircrack-ng 1.0

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 LIBPCAP		=
 include $(AC_ROOT)/common.mak
 
+TEST_DIR	= $(AC_ROOT)/test
 
 CFLAGS		+= -Iinclude
 
@@ -11,33 +12,70 @@
 PROF_DIR	= $(PWD)/prof
 
 BINFILES        = aircrack-ng$(EXE) airdecap-ng$(EXE) packetforge-ng$(EXE) \
-		  ivstools$(EXE) kstats$(EXE) buddy-ng$(EXE) makeivs-ng$(EXE)
+		  ivstools$(EXE) kstats$(EXE) makeivs-ng$(EXE) \
+		  airdecloak-ng$(EXE)
+
 ifeq ($(SQLITE), true)
-BINFILES	+= airolib-ng$(EXE)
-else ifeq ($(sqlite), true)
-BINFILES        += airolib-ng$(EXE)
-else ifeq ($(SQLITE), TRUE)
-BINFILES        += airolib-ng$(EXE)
-else ifeq ($(sqlite), TRUE)
-BINFILES        += airolib-ng$(EXE)
-endif
+	BINFILES	+= airolib-ng$(EXE)
+else
+	ifeq ($(sqlite), true)
+		BINFILES        += airolib-ng$(EXE)
+	else
+		ifeq ($(SQLITE), TRUE)
+			BINFILES        += airolib-ng$(EXE)
+		else
+			ifeq ($(sqlite), TRUE)
+				BINFILES        += airolib-ng$(EXE)
+			endif
+		endif
+	endif
+endif
+
 
 LIBPCAP		=
 
 SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
-		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE) airbase-ng$(EXE)
+		  airtun-ng$(EXE) airbase-ng$(EXE)
+		  
 OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
 		  aircrack-ng-opt-prof prof/*
+
+
+
+ifeq ($(UNSTABLE), true)
+	SBINFILES	+= wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+	BINFILES	+= buddy-ng$(EXE)
+else
+	ifeq ($(unstable), true)
+		SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+		BINFILES	+= buddy-ng$(EXE)
+	else
+		ifeq ($(UNSTABLE), TRUE)
+			SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+			BINFILES	+= buddy-ng$(EXE)
+		else
+			ifeq ($(unstable), TRUE)
+				SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+				BINFILES	+= buddy-ng$(EXE)
+			endif
+		endif
+	endif
+endif
+
 
 SRC_PTW		= aircrack-ptw-lib.c
 SRC_AC		= aircrack-ng.c crypto.c common.c $(SRC_PTW)
 OBJS_PTW	= aircrack-ptw-lib.o
 OBJS_AC		= aircrack-ng.o crypto.o common.o uniqueiv.o $(OBJS_PTW)
+ASM_AC		= sha1-sse2.S
 
 OBJS_AD		= airdecap-ng.o crypto.o common.o
 OBJS_PF		= packetforge-ng.o common.o crypto.o
 OBJS_AR		= aireplay-ng.o common.o crypto.o
 OBJS_ADU	= airodump-ng.o common.o crypto.o uniqueiv.o
+ifneq ($(OSNAME), Linux)
+	OBJS_ADU	+= osdep/common.o
+endif
 OBJS_AT		= airtun-ng.o common.o crypto.o
 OBJS_IV		= ivstools.o common.o crypto.o uniqueiv.o
 OBJS_AS		= airserv-ng.o common.o
@@ -47,6 +85,8 @@
 OBJS_BUDDY	= buddy-ng.o common.o
 OBJS_MI		= makeivs-ng.o common.o uniqueiv.o
 OBJS_AB		= airbase-ng.o common.o crypto.o
+OBJS_AU		= airdecloak-ng.o common.o osdep/radiotap/radiotap-parser.o
+OBJS_TT		= tkiptun-ng.o common.o crypto.o
 
 
 OSD		= osdep
@@ -59,15 +99,20 @@
 LIBSSL		= -lssl -lcrypto $(LDFLAGS)
 LIBSQL		=
 ifeq ($(SQLITE), true)
-LIBSQL		= -L/usr/local/lib -lsqlite3
-else ifeq ($(sqlite), true)
-LIBSQL          = -L/usr/local/lib -lsqlite3
-else ifeq ($(SQLITE), TRUE)
-LIBSQL          = -L/usr/local/lib -lsqlite3
-else ifeq ($(sqlite), TRUE)
-LIBSQL          = -L/usr/local/lib -lsqlite3
-endif
-
+	LIBSQL		= -L/usr/local/lib -lsqlite3
+else
+	ifeq ($(sqlite), true)
+		LIBSQL          = -L/usr/local/lib -lsqlite3
+	else
+		ifeq ($(SQLITE), TRUE)
+			LIBSQL          = -L/usr/local/lib -lsqlite3
+		else
+			ifeq ($(sqlite), TRUE)
+				LIBSQL          = -L/usr/local/lib -lsqlite3
+			endif
+		endif
+	endif
+endif
 
 all: osd userland $(SBINFILES)
 
@@ -80,22 +125,22 @@
 	$(MAKE) -C $(OSD)
 
 aircrack-ng-opt: $(SRC_AC)
-	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(LIBSSL) \
+	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(ASM_AC) $(LIBSSL) \
 	uniqueiv.o -o aircrack-ng-opt -lpthread $(LIBSQL)
 
 aircrack-ng-opt-prof_gen: $(SRC_AC)
 	mkdir -p prof
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_genx -DDO_PGO_DUMP \
-	-prof_dir$(PROF_DIR) $(SRC_AC) $(LIBSSL) uniqueiv.o -o \
+	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
 	aircrack-ng-opt-prof_gen -lpthread $(LIBSQL)
 
 aircrack-ng-opt-prof_use: $(SRC_AC)
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_use \
-	-prof_dir$(PROF_DIR) $(SRC_AC) $(LIBSSL) uniqueiv.o -o \
+	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
 	aircrack-ng-opt-prof -lpthread $(LIBSQL)
 
 aircrack-ng$(EXE): $(OBJS_AC)
-	$(CC) $(CFLAGS) $(OBJS_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL)
+	$(CC) $(CFLAGS) $(OBJS_AC) $(ASM_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL)
 
 airdecap-ng$(EXE): $(OBJS_AD)
 	$(CC) $(CFLAGS) $(OBJS_AD) -o $(@) $(LIBSSL)
@@ -139,12 +184,18 @@
 airbase-ng$(EXE): $(OBJS_AB) $(LIBOSD)
 	$(CC) $(CFLAGS) $(OBJS_AB) -o $(@) $(LIBS) $(LIBSSL) -lpthread
 
+airdecloak-ng$(EXE): $(OBJS_AU)
+	$(CC) $(CFLAGS) $(OBJS_AU) -o $(@)
+
+tkiptun-ng$(EXE): $(OBJS_TT) $(LIBOSD)
+	$(CC) $(CFLAGS) $(OBJS_TT) -o $(@) $(LIBS) $(LIBSSL)
+
 strip: $(BINFILES) $(SBINFILES)
 	strip $(BINFILES) $(SBINFILES)
 
 clean:
 	$(MAKE) -C $(OSD) clean
-	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o
+	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE) buddy-ng$(EXE)
 
 distclean: clean
 
@@ -171,3 +222,9 @@
 	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airuncloak-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/tkiptun-ng$(EXE)
+
+check: aircrack-ng$(EXE)
+	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e Harkonen -q $(TEST_DIR)/wpa2.eapol.cap | grep 'KEY FOUND! \[ 12345678 \]' 
+	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e test -q $(TEST_DIR)/wpa.cap | grep 'KEY FOUND! \[ biscotte \]'

=== scripts/airoscript/Makefile ===
#!/usr/bin/make
# Configure prefix here:
prefix="/usr/local"

OSTYPE:=$(shell uname -s|cut -d_ -f1)
include Makefile-$(OSTYPE)

=== src/osdep/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 AC_ROOT	= ../..
 include $(AC_ROOT)/common.mak
+
+RTAP		= radiotap
 
 LIB		= libosdep.a 
 CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)
@@ -13,7 +15,7 @@
 OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
 OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
 OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
-OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o common.o
+OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap-parser.o common.o
 OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
 OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o
 
@@ -60,12 +62,13 @@
 	touch $(@)
 
 .os.%: .os.dummy
-	@echo "Your platform is unsupported"
+	@echo "Your platform is unsupported by osdep, dummy code compiled."
 	touch $(@)
 
 install: all
 
 uninstall:
 
-clean:
+clean: 
+	$(MAKE) -C $(RTAP) clean
 	rm -f $(LIB) *.o .os.*

=== scripts/airoscript/doc/html/Makefile ===
all: install
install:
	@echo -e "\t Installing html documentation"
	@$(INSTALLDATA) *.html $(docdir)/html
	@$(INSTALLDATA) images/* $(docdir)/html/images/

uninstall:
	@echo "Removing html documentation from $(docdir)/html"
	@rm -r $(docdir)/html

=== scripts/airoscript/doc/tools/Makefile ===
install: 
	@echo -e "\t Installing tools documentation" 
	@$(INSTALLDATA) * $(docdir)/tools 
uninstall: 
	@echo "Removing tools documentation from $(docdir)/tools" 
	@rm -r $(docdir)/tools

=== scripts/airoscript/src/locale/es_ES/Makefile ===
all: build

build:
	@msgfmt airoscript.po -o airoscript.mo

install:
	@echo -e "\tInstalling locale es_ES"
	@$(INSTALLDATA) airoscript.mo $(localedir)/`basename \`pwd\``
	

uninstall:
	@rm $(localedir)/`basename \`pwd\``/airoscript.mo

clean:
	@rm airoscript.mo

## aircrack-ng 1.1

=== Makefile ===
need := 3.81
ok := $(filter $(need),$(firstword $(sort $(MAKE_VERSION) \
	$(need))))
       
ifndef ok
    $(error fatal error... Need make $(need) but using $(MAKE_VERSION), please upgrade)
endif

AC_ROOT		= .
include		$(AC_ROOT)/common.mak

DOCFILES        = ChangeLog INSTALLING README LICENSE AUTHORS VERSION


default: all

all:
	$(MAKE) -C src $(@)

aircrack-ng-opt-prof_gen: all
	mkdir -p prof
	$(MAKE) -C src $(@)

aircrack-ng-opt-prof_use:
	$(MAKE) -C src $(@)

install:
	$(MAKE) -C src $(@)
	$(MAKE) -C scripts $(@)
	$(MAKE) -C manpages $(@)
	@echo " "
	@echo "[*] Run 'airodump-ng-oui-update' as root (or with sudo) to install or update Airodump-ng OUI file (Internet connection required)."

uninstall:
	$(MAKE) -C src $(@)
	-rm -fr $(DESTDIR)$(docdir)
	$(MAKE) -C manpages $(@)
	$(MAKE) -C scripts $(@)

strip:
	$(MAKE) -C src $(@)

doc:
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

clean:
	$(MAKE) -C src $(@)

distclean: clean

check: 
	$(MAKE) -C src $(@)

=== manpages/Makefile ===
AC_ROOT		= ..
include		$(AC_ROOT)/common.mak

MP_FILES        = aircrack-ng.1 airdecap-ng.1 airdriver-ng.1 aireplay-ng.1 \
                  airmon-ng.1 airodump-ng.1 airserv-ng.1 airtun-ng.1 \
                  ivstools.1 kstats.1 makeivs-ng.1 airbase-ng.1 \
                  packetforge-ng.1 airdecloak-ng.1 


ifeq ($(SQLITE), true)
	MP_FILES += airolib-ng.1
else
	ifeq ($(sqlite), true)
		MP_FILES += airolib-ng.1
	else
		ifeq ($(SQLITE), TRUE)
			MP_FILES += airolib-ng.1
		else
			ifeq ($(sqlite), TRUE)
				MP_FILES += airolib-ng.1
			endif
		endif
	endif
endif


ifeq ($(UNSTABLE), true)
	MP_FILES	+= wesside-ng.1 tkiptun-ng.1 buddy-ng.1 easside-ng.1 
else
	ifeq ($(unstable), true)
		MP_FILES        += wesside-ng.1 tkiptun-ng.1 buddy-ng.1 easside-ng.1 
	else
		ifeq ($(UNSTABLE), TRUE)
			MP_FILES        += wesside-ng.1 tkiptun-ng.1 buddy-ng.1 easside-ng.1 
		else
			ifeq ($(unstable), TRUE)
				MP_FILES        += wesside-ng.1 tkiptun-ng.1 buddy-ng.1 easside-ng.1 
			endif
		endif
	endif
endif


default: all

all:
	@echo Nothing to do
	
install: uninstall
	install -d $(DESTDIR)$(mandir)
	install -m 644 $(MP_FILES) $(DESTDIR)$(mandir)

uninstall:
	@-$(foreach CUR_MP,$(MP_FILES), rm -f $(DESTDIR)$(mandir)/$(CUR_MP); echo rm -f $(DESTDIR)$(mandir)/$(CUR_MP); ) 
	-rm -f $(DESTDIR)$(mandir)/airolib-ng.1
	-rm -f $(DESTDIR)$(mandir)/wesside-ng.1
	-rm -f $(DESTDIR)$(mandir)/tkiptun-ng.1
	-rm -f $(DESTDIR)$(mandir)/buddy-ng.1
	-rm -f $(DESTDIR)$(mandir)/easside-ng.1

=== scripts/Makefile ===
AC_ROOT		= ..
include		$(AC_ROOT)/common.mak

SCRIPTS         = airmon-ng airdriver-ng airodump-ng-oui-update

default: all

all:
	@echo Nothing to do
	
install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(sbindir)

uninstall:
	-rm -f $(DESTDIR)$(sbindir)/airmon-ng
	-rm -f $(DESTDIR)$(sbindir)/airdriver-ng
	-rm -f $(DESTDIR)$(sbindir)/airodump-ng-oui-update

clean:
	@echo Nothing to do

=== src/Makefile ===
--- 
+++ 
@@ -152,7 +152,7 @@
 	$(CC) $(CFLAGS) $(OBJS_AR) -o $(@) $(LIBS) $(LIBSSL)
 
 airodump-ng$(EXE): $(OBJS_ADU) $(LIBOSD)
-	$(CC) $(CFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL)
+	$(CC) $(CFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL) -lpthread
 
 airserv-ng$(EXE): $(OBJS_AS) $(LIBOSD)
 	$(CC) $(CFLAGS) $(OBJS_AS) -o $(@) $(LIBS) $(LIBPCAP)
@@ -222,8 +222,10 @@
 	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)
-	-rm -f $(DESTDIR)$(sbindir)/airuncloak-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/makeivs-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airdecloak-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/tkiptun-ng$(EXE)
+	-rm -rf $(DESTDIR)$(etcdir)
 
 check: aircrack-ng$(EXE)
 	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e Harkonen -q $(TEST_DIR)/wpa2.eapol.cap | grep 'KEY FOUND! \[ 12345678 \]'

=== scripts/airgraph-ng/Makefile ===
AG_ROOT		= .
include		$(AG_ROOT)/common.mak

SCRIPTS         = airgraph-ng.py dump-join.py
DOCFILES        = README

default: all

all:
	@echo Nothing to do. Run make install

install:
	install -m 755 $(SCRIPTS) $(DESTDIR)$(bindir)
	$(MAKE) -C man $(@)
	$(MAKE) -C lib $(@)

uninstall:
	-rm -f $(DESTDIR)$(bindir)/airgraph-ng.py 
	-rm -f $(DESTDIR)$(bindir)/dump-join.py
	-rm -f $(DESTDIR)$(docdir)/README
	$(MAKE) -C lib $(@)
	$(MAKE) -C man $(@)

doc:
	install -d $(DESTDIR)$(docdir)
	install -m 644 $(DOCFILES) $(DESTDIR)$(docdir)

clean:
	@echo Nothing to do.

distclean: clean

=== src/osdep/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap-parser.o common.o
 OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
 OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o
+OBJS_DARWIN = $(OBJS) darwin.o darwin_tap.o
 
 # XXX make it a DLL, without polluting cygwin.c
 DOPCAP		=
@@ -61,6 +62,12 @@
 	$(RANLIB) $(LIB) 
 	touch $(@)
 
+.os.Darwin: $(OBJS_DARWIN) 
+	$(DOPCAP)
+	$(AR) cru $(LIB) *.o
+	$(RANLIB) $(LIB) 
+	touch $(@)
+
 .os.%: .os.dummy
 	@echo "Your platform is unsupported by osdep, dummy code compiled."
 	touch $(@)

=== scripts/airgraph-ng/lib/Makefile ===
AG_ROOT		= ..
include		$(AG_ROOT)/common.mak

LIB_FILES	= lib_Airgraphviz.py

ag_lib		= $(bindir)/lib

default: all

all:
	@echo Nothing to do. Run make install
	
install: uninstall
	install -d $(ag_lib)
	install -m 644 $(LIB_FILES) $(ag_lib)

uninstall:
	-rm -f $(ag_lib)/lib_Airgraphviz.py

=== scripts/airgraph-ng/man/Makefile ===
AG_ROOT		= ..
include		$(AG_ROOT)/common.mak

MP_FILES        = airgraph-ng.1 dump-join.1


default: all

all:
	@echo Nothing to do. Run make install
	
install: uninstall
	install -d $(DESTDIR)$(mandir)
	install -m 644 $(MP_FILES) $(DESTDIR)$(mandir)

uninstall:
	@-$(foreach CUR_MP,$(MP_FILES), rm -f $(DESTDIR)$(mandir)/$(CUR_MP); echo rm -f $(DESTDIR)$(mandir)/$(CUR_MP); )

=== debian/changelog ===
aircrack-ng (1:1.1-6) unstable; urgency=low

  * Remove unused Build-Depends on obsolete libnl-dev (Closes: #688158)
  * Add 019-fix-spelling-manpages.diff (Closes: #697346)
  * Add 020-ignore-negative-one.diff (Adds an option "ignore-negative-one"
    to workaround broken channel handling)
  * Add 021-fix-airodump-ng-oui-update.diff (Recently the oui file included
    some leading spaces that makes it not recognizable by airodump-ng. Fix it)
  * Update airodump-ng-oui.txt file

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 08 Jun 2013 20:54:58 +0200

aircrack-ng (1:1.1-5) unstable; urgency=low

  * Add 018-workaround-681113-kfreebsd.diff (Really closes: #642698)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 28 Jul 2012 01:41:14 +0200

aircrack-ng (1:1.1-4) unstable; urgency=low

  * Rewrote 007-Add-support-for-GnuTLS.patch to 011-add-support-for-gcrypt.diff
    * Removed build-dependency on GnuTLS, now we only build-depend on Libgcrypt
    * Added missing build-depend on zlib1g-dev (it was a dependency of GnuTLS)
    * Changed the Make parameter from gnutls=true to gcrypt=true for coherence
    * Fixes FTBFS on non SSE2 archs (Closes: #680414)
  * Added 012-add-unittest-gcrypt.diff with unittests for double-ensuring that
    patch 011 works as expected on all architectures.
  * Tested sqlite support (Really closes: #610688) (Really closes: #600753)
  * Add 013-fix-hurd-ftbfs.diff (closes: #642698)
  * Add 014-man_page_formatting.diff (Closes: #570986)
  * Add 015-move_to_man8_admin_commands.diff (Closes: #570981)
  * Add 016-fix-ldflags.diff (fixes lintian warning)
  * Add 017-fix-bigendianissues.diff (fixes aircrack-ng on bigendian archs)
  * Update DEP-3 headers on patches {004,005,006,009,010}
  * Refresh patches {005,010}
  * Updated MAC:Vendor mappings (airodump-ng-oui.txt)
  * Updated README.Debian
  * Updated debian/copyright to reflect copyright of patches that introduced
    new files.
  * Simplify debian/rules by using makeflags

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 27 Jul 2012 19:22:23 +0200

aircrack-ng (1:1.1-3) unstable; urgency=low

  * Summarize the changes introduced on (1:1.1-2) and document how
    to rebuild the package with OpenSSL on file README.Debian

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Mon, 18 Jun 2012 12:13:13 +0200

aircrack-ng (1:1.1-2) unstable; urgency=low

  * New mantainer.
  * Re-upload to unstable (Closes: #642934)
  * Rework debian/*
    Switch debian/rules to dh.
    Switch debian/copyright to machine-readable.
    Add DEP-3 headers to debian/patches/*
  * Remove injection patches from package files. airdriver-ng downloads
    this patches from Internet, so is not needed at all to have
    this files on the package.
  * Include initial pre-downloaded file airodump-ng-oui.txt on package.
  * Add hardening flags.
  * Compile with sqlite support (Closes: #610688) (Closes: #600753)
  * Add 004-fix-license-issues.diff (cherry-pick from svn).
    Fixes copyright issues with src/sha1-sse2.* (Closes: #588588)
  * Add 005-fix-issues-cppcheck-r2008.patch (cherry-pick from svn).
    Fix issues on the code found by cppcheck.
  * Add 006-fix-ftbfs-and-man-path.patch (cherry-pick from svn).
    Fix FTBFS with gcc>=4.6 and fix manpage path.
  * Add 007-Add-support-for-GnuTLS.patch
    Add support for GnuTLS and link against GnuTLS.
    Fix issues with GPL and OpenSSL licenses.
  * Add 008-fix_path_airodump-ng-oui.patch.
    Fix paths to file airodump-ng-oui.txt on airodump-ng and script
    airodump-ng-oui-update.
  * Add 009-airodump-ng-oui-update-manpage.patch (cherry-pick from svn).
    Include manpage for script airodump-ng-oui-update.
  * Add 010-add-freebsd-support.patch
    Add support for GNU/kFreeBSD (Closes: #642698)
  * Update Standards-Version to 3.9.2

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 16 Jun 2012 22:22:22 +0200

aircrack-ng (1:1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS on sparc due to incorrect detection of Solaris OS
   (closes: #590765).

 -- Giovanni Mascellani <gio@debian.org>  Sat, 02 Oct 2010 19:23:51 +0200

aircrack-ng (1:1.1-1) unstable; urgency=low

  * New upstream release (Closes: #582658):
    - Fix a buffer overflow (Closes: #577758),
    - Fix compilation errors (Closes: #546312).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4.
  * Add missing ${misc:Depends}.
  * Fix airodump-ng manpage (Closes: #570982).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 31 May 2010 18:34:37 +0200

aircrack-ng (1:1.0-1) unstable; urgency=low

  * New upstream release (Closes: #546312).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 27 Sep 2009 17:10:42 +0200

aircrack-ng (1:1.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Add README.source.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 28 Aug 2009 22:18:13 +0200

aircrack-ng (1:1.0~rc3-2) unstable; urgency=low

  * Build and install "unstable" tools like wessid-ng and eassid-ng
    (Closes: #527950).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 11 May 2009 16:03:50 +0200

aircrack-ng (1:1.0~rc3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Drop 001-64bits_assembly_fixes patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 31 Mar 2009 09:34:57 +0200

aircrack-ng (1:1.0~rc2-1) unstable; urgency=low

  * New upstream release (Closes: #512924).
  * Do not ship iw anymore, it now has its own package (Closes: #499246).
  * Update debian/copyright.
  * Apply upstream patch to fix assembly code on amd64.
  * Bump debhelper b-dep.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Mar 2009 21:38:26 +0100

aircrack-ng (1:1.0~rc1-2) unstable; urgency=low

  * Includes "iw" tool which is needed for mac80211 (Closes: #490083).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 09 Jul 2008 21:06:56 +0200



=== debian/control ===
Source: aircrack-ng
Section: net
Priority: optional
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
Homepage: http://www.aircrack-ng.org/
Build-Depends: debhelper (>= 8.0.0), libpcap0.8-dev, libgcrypt11-dev,
 libsqlite3-dev (>= 3.4), zlib1g-dev, python (>= 2.6.6-3~),
 hardening-includes
Standards-Version: 3.9.3

Package: aircrack-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools [linux-any],
 iw [linux-any]
Recommends: wget
Description: wireless WEP/WPA cracking utilities
 aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
 40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
 have been gathered. Also it can attack WPA1/2 networks with some advanced
 methods or simply by brute force.
 .
 It implements the standard FMS attack along with some optimizations,
 thus making the attack much faster compared to other WEP cracking tools.
 It can also fully use a multiprocessor system to its full power in order
 to speed up the cracking process.
 .
 aircrack-ng is a fork of aircrack, as that project has been stopped by
 the upstream maintainer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make
DEB_BUILD_HARDENING_PIE:=0
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)
MAKEFLAGS=gcrypt=true sqlite=true unstable=true
export CFLAGS
export LDFLAGS
export MAKEFLAGS

%:
	dh $@ --with=python2

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr

=== debian/watch ===
version=3
http://download.aircrack-ng.org/aircrack-ng-(.*)\.tar\.gz

## aircrack-ng 1.1-maemo1

=== debian/changelog ===
aircrack-ng (1.1-maemo1) unstable; urgency=low

  * debian/changelog

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 24 May 2011 18:42:37 -0400

aircrack-ng (1.0-3) stable; urgency=low

  * Optified

 -- Gregory DOUGUET <backseatgreg@googlemail.com>  Tue, 31 Dec 2009 21:03:35 +0100

aircrack-ng (1.0-2) stable; urgency=low

  * Updated binaries location and description in deb package

 -- Gregory DOUGUET <backseatgreg@googlemail.com>  Wed, 16 Dec 2009 09:14:35 +0100

aircrack-ng (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gregory DOUGUET <backseatgreg@googlemail.com>  Sun, 13 Dec 2009 14:28:42 +0100

=== debian/control ===
Source: aircrack-ng
Section: user/network
Priority: extra
Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
Build-Depends: debhelper (>= 5), wireless-tools, libssl-dev
Standards-Version: 3.7.2

Package: aircrack-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools, iw
Description: Aircrack-ng is a set of tools for auditing wireless networks.
 Contains:
  airmon-ng: wifi interface mode switcher
  airodump-ng: wifi discovery and monitoring tool, 
  aireplay-ng: inject packets over wifi
  aircrack-ng: test wifi security (...)
  and more...
  Official website: http://www.aircrack-ng.org
